www.cendio.com
Bug 5039 - /opt/thinlinc/libexec/functions: line 26: seq: command not found
: /opt/thinlinc/libexec/functions: line 26: seq: command not found
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Solaris
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-03-25 15:47 by
Modified: 2014-04-09 15:04 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-03-25 15:47:30
The wait_for_wm function from libexec/functions fails on Solaris where seq is
not present.

> wait_for_wm()
> {
>     for i in `seq 30`; do
>         if has_ewmh_wm; then
>             return 0
>         fi
> 
>         sleep 1
>     done
>     return 1
> }

Suggested solution: Use the bash construct {0..30} rather than invoking `seq
30`.
------- Comment #1 From cendio 2014-04-01 17:09:02 -------
Fixed in r28774.
------- Comment #2 From cendio 2014-04-09 15:04:34 -------
No errors on session startup with build 4311.